<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/*
|--------------------------------------------------------------------------
| File and Directory Modes
|--------------------------------------------------------------------------
|
| These prefs are used when checking and setting modes when working
| with the file system.  The defaults are fine on servers with proper
| security, but you may wish (or even need) to change the values in
| certain environments (Apache running a separate process for each
| user, PHP under CGI with Apache suEXEC, etc.).  Octal values should
| always be used to set the mode correctly.
|
*/
define('FILE_READ_MODE', 0644);
define('FILE_WRITE_MODE', 0666);
define('DIR_READ_MODE', 0755);
define('DIR_WRITE_MODE', 0777);

/*
|--------------------------------------------------------------------------
| File Stream Modes
|--------------------------------------------------------------------------
|
| These modes are used when working with fopen()/popen()
|
*/

define('FOPEN_READ', 							'rb');
define('FOPEN_READ_WRITE',						'r+b');
define('FOPEN_WRITE_CREATE_DESTRUCTIVE', 		'wb'); // truncates existing file data, use with care
define('FOPEN_READ_WRITE_CREATE_DESTRUCTIVE', 	'w+b'); // truncates existing file data, use with care
define('FOPEN_WRITE_CREATE', 					'ab');
define('FOPEN_READ_WRITE_CREATE', 				'a+b');
define('FOPEN_WRITE_CREATE_STRICT', 			'xb');
define('FOPEN_READ_WRITE_CREATE_STRICT',		'x+b');

define('LIMIT_PERPAGE',		'25');
define('BALANCE_ALERT_LIMIT',		'10');
define('LOGIN_TITLE',		'PVS3000 Login');
define('SITE_TITLE',		'PVS3000 Billing');
define('COM_NAME',		'PVS3000 Pvt Ltd');



$base_url = ((isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] == "on") ? "https" : "http");
$base_url .= "://".$_SERVER['HTTP_HOST'];
if (!isset($_SERVER['ORIG_SCRIPT_NAME'])) {
	$base_url .= str_replace(basename($_SERVER['SCRIPT_NAME']),"",$_SERVER['SCRIPT_NAME']);
}
else {
	$base_url .= str_replace(basename($_SERVER['ORIG_SCRIPT_NAME']),"",$_SERVER['ORIG_SCRIPT_NAME']);
}

define('BASE_URL', $base_url);

/**
 *@Global Configuration
*/

 define('INIT_BALANCE',		'0.00');
 define('INIT_ADD_BALANCE',		'1000.00');
 define('INIT_BALANCE_LIMIT',		'100000.00');
 define('LOT_INIT_BALANCE_LIMIT',		'10.00');
 define('INIT_USER_LIMIT',		'10');
 define('INIT_RATE_LIMIT',		'10');
 define('INIT_FNF_LIMIT',		'10');
 define('CURD',		'1');
 define('NCURD',		'0');

 define('AMAFLAGS', 'billing');
 define('SIP_CONTEXT', 'sipbilling');
 define('CANREINVITE', 'NO');
 define('DTMFMODE', 'RFC2833');
 define('HOST', 'dynamic');
 define('NAT', 'YES');
 define('QUALIFY', 'YES');
 define('TYPE_SIP', 'friend');
 define('DISALLOW', 'ALL');
 define('ALLOW_SIP', 'g729,gsm,g723');
 define('CANCALLFORWORD', 'YES');
 define('IP_ADDRESS', '0.0.0.0');
 define('SIP_ENC', 'no');
 define('SIP_RTP_TIME_OUT', '30');
 define('SIP_RTP_TIME_HOLD', '0');


 define('WHOLESALE_NAT', 'no');
 define('WHOLESALE_DTMFMODE', 'RFC2833');
 define('WHOLESALE_TYPE', 'peer');
 define('WHOLESALE_CANCALLFORWARD', 'yes');
 define('WHOLESALE_CANREINVITE', 'no');
 define('WHOLESALE_CONTEXT', 'wholesale');
 define('WHOLESALE_INSECURE', 'very');
 define('WHOLESALE_QUALIFY', 'yes');
 define('WHOLESALE_DISALLOW', 'all');
 define('WHOLESALE_ALLOW', 'ulaw,alaw,gsm,g729,g723');
 define('WHOLESALE_ENC', 'no');
 define('WHOLESALE_RTP_TIME_OUT', '30');
 define('WHOLESALE_RTP_TIME_HOLD', '0');



 /*
Route type
*/
define('EXTERNAL_GATEWAY', '1');
define('INTERNAL_GATEWAY', '2');
define('VOIPBOX_GATEWAY', '3');

 /*
User type
*/
define('ADMIN_TYPE', '-1');
define('RESELLER_TYPE', '1');


 /*
ClientType
*/
define('SIP_USER', '1');
define('ANI_USER', '2');
define('GW_USER', '3');
define('WHOLESALE_USER', '4');
define('WHOLESALE_USER_TYPE', '4');

 /*
User Access
*/
define('ALL_ACCESS', '2');
define('READ_ONLY', '1');
define('NO_ACCESS', '0');

 /*
Client Context
*/
define('ANI_CONTEXT', 'ivrbilling');


/*
Payment Type
*/

define('PREPAID',		'1');
define('RETURN_PAYMENT',		'3');
define('CLIENT_CALL_LIMITE',		'1');

/*
DID Type Type
*/

define('DID_ACCESS_NO',		'1');
define('DID_HOT_NO',		'2');
define('DID_FOLLOW_ME',		'3');
define('DID_PBX_SYS',		'4');



define('TITLE001',		'New Reseller II Form');
define('TITLE002',		'Reseller Section');
define('TITLE003',		'Client Section');
define('TITLE004',		'Dial Plan & Rate Section');
define('TITLE005',		'Report Section');
define('TITLE006',		'Account Section');
define('TITLE007',		'Reseller III List');
define('TITLE008',		'&raquo; Account Information');
define('TITLE009',		'&raquo; Personal Information');
define('TITLE010',		'New Reseller III Form');
define('TITLE011',		'Edit Reseller III Information');
define('TITLE012',		'Reseller Payment History');
define('TITLE013',		'Add Reseller Payment');
define('TITLE014',		'Reseller II List');
define('TITLE015',		'New Reseller II Form');
define('TITLE016',		'Edit Reseller II Information');
define('TITLE017',		'Reseller I List');
define('TITLE018',		'New Reseller I Form');
define('TITLE019',		'Edit Reseller I Information');
define('TITLE020',		'Retail Client List');
define('TITLE021',		'New Retail Client Form');
define('TITLE022',		'Edit Retail Client Information');
define('TITLE023',		'Add Client Payment');
define('TITLE024',		'Tariff Name List');
define('TITLE025',		'Tariff Name Information');
define('TITLE026',		'New Tariff Name Form');
define('TITLE027',		'Tariff Chart List');
define('TITLE028',		'New Rate Chart Form');
define('TITLE029',		'Please fill up all fields');
define('TITLE030',		'Edit Rate Chart Form');
define('TITLE031',		'Edit Rate Chart Import Form');
define('TITLE032',		'Please delete at first all trunks of this provider');
define('TITLE033',		'You have successfully deleted the provider');
define('TITLE034',		'Gateways List');
define('TITLE035',		'Provider Information Form');
define('TITLE036',		'Turnks List');
define('TITLE037',		'Trunks Configure Form');
define('TITLE038',		'Trunks Information');
define('TITLE039',		'Trunks Configuration');
define('TITLE040',		'Dial Plan List');
define('TITLE041',		'Add Dial Plan Configuration');
define('TITLE042',		'&raquo; Dial Plan Configuration');
define('TITLE043',		'&raquo; Load Balance & Time Span Configuration');
define('TITLE044',		'Sucess Call List');
define('TITLE045',		'Active Calls List');
define('TITLE046',		'Reseller Sucess Calls List');
define('TITLE047',		'ASR / ACD Calls History');
define('TITLE048',		'Calling Card Client List');
define('TITLE049',		'New Calling Card Client');
define('TITLE050',		'&raquo; Presonal Information');
define('TITLE051',		'Edit Calling Card Client');
define('TITLE052',		'&raquo; Others Information');
define('TITLE053',		'&raquo; ANI Phone Number History');
define('TITLE054',		'In Bound Section');

define('TITLE055',		'Wholesale Client List');
define('TITLE056',		'New Wholesale Client Form');
define('TITLE057',		'Edit Wholesale Client Form');

define('TITLE058',		'DID Number List');
define('TITLE059',		'New DID Number Form');
define('TITLE060',		'Reseller IV List');
define('TITLE061',		'New Reseller IV Form');
define('TITLE062',		'Edit Reseller IV Form');
define('TITLE063',		'New ANI Number Form');
define('TITLE064',		'New Speed Dial Form');
define('TITLE065',		'Lots Name List');
define('TITLE066',		'&raquo; Lots Name Configuration');
define('TITLE067',		'&raquo; Others Configuration');
define('TITLE068',		'Add New Lot Information');
define('TITLE069',		'&raquo; Speed Dial History');
define('TITLE070',		'&raquo; ASR/ACD History');
define('TITLE071',		'Administrator User List');
define('TITLE072',		'&raquo; Account Information');
define('TITLE073',		'&raquo; Permission Information');
define('TITLE074',		'Administrator User Form');


/*
From Message
*/

define('FROMMESSAGE001',		'&raquo; Please fill up all mandatory fields');
define('FROMMESSAGE002',		'&raquo; Reseller login name already taken, please try another login name');
define('FROMMESSAGE003',		'&raquo; Same login and password does not support. Pease try different Login and password');

define('FROMMESSAGE004',		'&raquo; Please at first Delete all Child Reseller');
define('FROMMESSAGE005',		'&raquo; Reseller has been sucessfully Deleted');

define('FROMMESSAGE006',		'&raquo; Currently Client in inactive no need to delete it');


define('FROMMESSAGE007',		'&raquo; Same login and password does not support. Pease try different Login and password');
define('FROMMESSAGE008',		'&raquo; Client login name already taken, please try another login name');
define('FROMMESSAGE009',		'&raquo; Client Password already taken, please try another Password');
define('FROMMESSAGE010',		'&raquo; Payment has been sucessfully Added');
define('FROMMESSAGE011',		'&raquo; Sucessfully Edited Your Client');
define('FROMMESSAGE012',		'&raquo; Sucessfully Added ANI Number');
define('FROMMESSAGE013',		'&raquo; Sucessfully Deleted ANI Number');

define('FROMMESSAGE014',		'&raquo; IP Address already taken, please try another IP Address');
define('FROMMESSAGE015',		'&raquo; Successfully Deleted IP Address of Client & Inactive Wholesale Client, No need to delete it');
define('FROMMESSAGE016',		'&raquo; Sucessfully Edit Wholesale Client');
define('FROMMESSAGE017',		'&raquo; Sucessfully Add New Wholesale Client');
define('FROMMESSAGE018',		'&raquo; Sucessfully Add New DID Number');
define('FROMMESSAGE019',		'&raquo; Sucessfully Edit DID Number');
define('FROMMESSAGE020',		'&raquo; Sucessfully Deleted DID Number');

define('FROMMESSAGE021',		'&raquo; Sucessfully Edit SIP Client');

define('FROMMESSAGE032',		'&raquo; Login already taken, please try login');




define('FORMMESSAGE01',		'&raquo; Please fill up all mandatory(*) fileds');
define('FORMMESSAGE15',		'&raquo; Client login name already taken, please try another login name');
define('FORMMESSAGE03',		'&raquo; Please dont try same login and password');
define('FORMMESSAGE09',		'&raquo; Your Balance Limit has been exist, Please increase your Balance Limit');
define('FROMMESSAGE022',		'&raquo; Sucessfully Insert Reseller IV');
define('FROMMESSAGE023',		'&raquo; Sucessfully Balance Updated');
define('FROMMESSAGE024',		'&raquo; Sucessfully Edit Reseller IV');
define('FROMMESSAGE026',		'&raquo; Sucessfully Insert Reseller III');
define('FROMMESSAGE027',		'&raquo; Sucessfully Edit Reseller III');
define('FROMMESSAGE028',		'&raquo; Sucessfully Insert Reseller II');
define('FROMMESSAGE029',		'&raquo; Sucessfully Edit Reseller II');
define('FROMMESSAGE030',		'&raquo; Sucessfully Insert Reseller I');
define('FROMMESSAGE031',		'&raquo; Sucessfully Edit Reseller I');

define('FROMMESSAGE033',		'&raquo; Add or Delete Your IP Address');
define('FROMMESSAGE034',		'IP Address Information');
define('FROMMESSAGE035',		'&raquo; IP Address Information');
define('FROMMESSAGE036',		'&raquo; IP Address Already Assign, Please try another IP Address');
define('FROMMESSAGE037',		'&raquo; Sucessfully Insert IP Address');
define('FROMMESSAGE038',		'&raquo; Sucessfully Deleted IP Address');
define('FROMMESSAGE039',		'&raquo; Client PIN/Phone already taken, please try another PIN/Phone');
define('FROMMESSAGE040',		'&raquo; Register Phone Number already taken, please try another Phone Number');
define('FROMMESSAGE041',		'&raquo; DID Number already Exits, Please Tyr another Number');
define('FROMMESSAGE042',		'&raquo; Sucessfully Insert Speed Dial');
define('FROMMESSAGE043',		'&raquo; Speed Dial already Exits, Please Tyr another Speed');
define('FROMMESSAGE044',		'&raquo; Sucessfully Deleted Speed Dial');
define('FROMMESSAGE045',		'&raquo; Reseller Balance Limit exist');
define('FROMMESSAGE046',		'&raquo; Sucessfully Added Lot Name');
define('FROMMESSAGE047',		'&raquo; Sucessfully Inactived Lot Name');
define('FROMMESSAGE048',		'&raquo; Sucessfully Actived Lot Name');
define('FROMMESSAGE049',		'&raquo; Account not found of this lot name');
define('FROMMESSAGE050',		'&raquo; Sucessfully Deleted Lot');
define('FROMMESSAGE051',		'&raquo; Current Password does not matched');
define('FROMMESSAGE052',		'&raquo; New Password does not matched');
define('FROMMESSAGE053',		'&raquo; Password has been sucessfully changed');
define('FROMMESSAGE054',		'&raquo; Sucessfully Added Administrator');
define('FROMMESSAGE055',		'&raquo; Login already exits, Please Tyr another login');
define('FROMMESSAGE056',		'&raquo; Sucessfully Updated Administrator');
define('FROMMESSAGE057',		'&raquo; Sucessfully Deleted Administrator');














/* End of file constants.php */
/* Location: ./system/application/config/constants.php */